;******************************************************************************
;   MSP-430-Day II Demo - Software Toggle P1.0 
;
;   Description; Toggle P1.0 by xor'ing P0.1
;   ACLK = n/a, MCLK = SMCLK = default DCO
;
;                MSP430FG439
;             -----------------
;         /|\|              XIN|-  
;          | |                 |
;          --|RST          XOUT|-
;            |                 |
;            |             P1.0|-->LED
;
;   M.Buccini
;   Texas Instruments, Inc
;   February 2004
;******************************************************************************
#include    "msp430xG43x.h"

;            ORG     01100h                  ; Progam Start 
	.pseg myprog,abs=0x1100
		
RESET       mov.w   #0A00h,SP               ; Init stack
            mov.w   #WDTPW+WDTHOLD,&WDTCTL  ; Stop watchdog
            bis.b   #001h,&P1DIR            ; P1.0 = output
                                            ;                                                     
Mainloop    xor.b   #001h,&P1OUT            ; Toggle P1.0
            mov.w   #050000,R15             ; Delay to R15
L1          dec.w   R15                     ; Decrement R15
            jnz     L1                      ; Delay over?
            jmp     Mainloop                ; Again
                                            ;
;            ORG     0FFFEh                  ; RESET Vector
;           DW      RESET                   ; 
	.pseg WDT_VEC,abs=RESET_VECTOR+0xFFE0
	.data RESET		
            END     
